Online modules not showing up - trying "fwconsole ma listonline" throws error

I was trying install another module when I notice all the modules which are installed are showing

Enabled; Not available online

None of the ones which are not installed are even showing up.

So I try fwconsole ma listonline and it returns the following:

[Whoops\Exception\ErrorException]
Comments starting with ‘#’ are deprecated in Unknown on line 23

What the heck is that?

Thanks

What does php -v return?

PHP 5.3.3 (cli) (built: Nov 1 2019 12:28:08)
Copyright © 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright © 1998-2010 Zend Technologies
with Zend Guard Loader v3.3, Copyright © 1998-2010, by Zend Technologies

I think you now need 5.6 to keep up to date.

This is on version 13 (for now) if that makes any difference

I seem to remember that the old ‘bulk extensions’ bulk something else’ have a # that screws the pooch, if you are using of either them, then don’t or patch them :wink:

1 Like

Thanks for pointing that out Dicko. I see it was still stuck on version 2.11

Sangoma needs to hire you to help folks here in the forum :wink:

However, none of the modules still showing online. Just the installed ones

1 Like

post your fwconsole ma list (amportal ma list)

Here it is

No repos specified, using: [standard,extended,unsupported,commercial] from last GUI settings

±---------------------±------------±----------------------------------±-----------+
| Module | Version | Status | License |
±---------------------±------------±----------------------------------±-----------+
| accountcodepreserve | 13.0.2.2 | Enabled | GPLv2 |
| announcement | 13.0.7.8 | Enabled | GPLv3+ |
| asterisk-cli | 13.0.4 | Enabled | GPLv3+ |
| asteriskinfo | 13.0.7.2 | Enabled | GPLv3+ |
| backup | 13.0.27.24 | Enabled | GPLv3+ |
| blacklist | 13.0.14.13 | Enabled | GPLv3+ |
| builtin | | Enabled | |
| bulkdids | | Not Installed (Locally available) | GPLv3+ |
| bulkextensions | | Not Installed (Locally available) | GPLv3+ |
| callback | 13.0.5.5 | Enabled | GPLv3+ |
| callforward | 13.0.4.2 | Enabled | AGPLv3+ |
| callrecording | 13.0.11.15 | Enabled | AGPLv3+ |
| callwaiting | 13.0.4.1 | Enabled | GPLv3+ |
| campon | 13.0.4.1 | Enabled | GPLv3+ |
| cdr | 13.0.33 | Enabled | GPLv3+ |
| cel | 13.0.26.10 | Enabled | GPLv3+ |
| certman | 13.0.41 | Enabled | AGPLv3+ |
| cidlookup | 13.0.12.5 | Enabled | GPLv3+ |
| conferences | 13.0.23.17 | Enabled | GPLv3+ |
| core | 13.0.131 | Enabled | GPLv3+ |
| customappsreg | 13.0.5.7 | Enabled | GPLv3+ |
| cxpanel | 13.0.5.5 | Enabled | GPLv3 |
| dashboard | 13.0.26.2 | Enabled | AGPLv3+ |
| daynight | 13.0.15.1 | Enabled | GPLv3+ |
| dictate | 13.0.5 | Enabled | GPLv3+ |
| digium_phones | 13.0.7.4 | Enabled | GPLv2 |
| digiumaddoninstaller | | Not Installed (Locally available) | GPLv2 |
| directory | 13.0.19.12 | Enabled | GPLv3+ |
| disa | 13.0.6.12 | Enabled | AGPLv3+ |
| donotdisturb | 13.0.3.1 | Enabled | GPLv3+ |
| extensionroutes | 13.0.10.7 | Enabled | Commercial |
| fax | 13.0.40.7 | Enabled | GPLv3+ |
| featurecodeadmin | 13.0.6.4 | Enabled | GPLv3+ |
| findmefollow | 13.0.38.13 | Enabled | GPLv3+ |
| framework | 13.0.197.28 | Enabled | GPLv2+ |
| fw_ari | | Not Installed (Locally available) | GPLv3+ |
| fw_langpacks | 12.0.7 | Enabled | GPLv3+ |
| iaxsettings | 13.0.6.6 | Enabled | AGPLv3 |
| infoservices | 13.0.1.4 | Enabled | GPLv2+ |
| irc | 13.0.1 | Enabled | GPLv3+ |
| ivr | 13.0.27.21 | Enabled | GPLv3+ |
| javassh | 2.11.2 | Enabled | AGPLv3+ |
| languages | 13.0.6.5 | Enabled | GPLv3+ |
| logfiles | 13.0.10.8 | Enabled | GPLv3+ |
| manager | 13.0.2.7 | Enabled | GPLv2+ |
| miscapps | 13.0.3.2 | Enabled | GPLv3+ |
| miscdests | 13.0.9 | Enabled | GPLv3+ |
| music | 13.0.22.8 | Enabled | GPLv3+ |
| outroutemsg | 13.0.2.2 | Enabled | GPLv3+ |
| paging | 13.0.26.19 | Enabled | GPLv3+ |
| parking | 13.0.19.11 | Enabled | GPLv3+ |
| pbdirectory | 2.11.0.6 | Enabled | GPLv3+ |
| phonebook | 13.0.6.5 | Enabled | GPLv3+ |
| phpinfo | 13.0.2 | Enabled | GPLv2+ |
| pinsets | 13.0.13 | Enabled | GPLv3+ |
| presencestate | 13.0.8.4 | Enabled | GPLv3+ |
| printextensions | 13.0.3.2 | Enabled | GPLv3+ |
| queueprio | 13.0.7 | Enabled | GPLv3+ |
| queues | 13.0.34.17 | Enabled | GPLv2+ |
| recordings | 13.0.30.14 | Enabled | GPLv3+ |
| restart | 13.0.7 | Enabled | GPLv3+ |
| ringgroups | 13.0.23.4 | Enabled | GPLv3+ |
| setcid | 13.0.6.3 | Enabled | GPLv3+ |
| sipsettings | 13.0.27.8 | Enabled | AGPLv3+ |
| sipstation | 13.0.16.5 | Enabled | Commercial |
| soundlang | 13.0.27 | Enabled | GPLv3+ |
| speeddial | 2.11.0.4 | Enabled | GPLv3+ |
| superfecta | 13.0.4.8 | Enabled | GPLv2+ |
| sysadmin | 13.0.95.4 | Enabled | Commercial |
| timeconditions | 13.0.34.11 | Enabled | GPLv3+ |
| userman | 13.0.76.44 | Enabled | AGPLv3+ |
| versionupgrade | 13.0.1.6 | Enabled | Commercial |
| vmblast | 13.0.11 | Enabled | GPLv3+ |
| voicemail | 13.0.59.5 | Enabled | GPLv3+ |
| weakpasswords | 13.0.2 | Enabled | GPLv3+ |
±---------------------±------------±----------------------------------±-----------+

start with

fwconsole ma delete bulkdids
fwconsole ma delete bulkextensions

then

fwconsole ma upgradeall
fwconsole ma downloadinstall bulkhandler

Did all that, and not seeing any change

±---------------------±------------±----------------------------------±-----------+
| Module | Version | Status | License |
±---------------------±------------±----------------------------------±-----------+
| accountcodepreserve | 13.0.2.2 | Enabled; Not available online | GPLv2 |
| announcement | 13.0.7.8 | Enabled; Not available online | GPLv3+ |
| asterisk-cli | 13.0.4 | Enabled; Not available online | GPLv3+ |
| asteriskinfo | 13.0.7.2 | Enabled; Not available online | GPLv3+ |
| backup | 13.0.27.24 | Enabled; Not available online | GPLv3+ |
| blacklist | 13.0.14.13 | Enabled; Not available online | GPLv3+ |
| builtin | | Enabled; Not available online | |
| callback | 13.0.5.5 | Enabled; Not available online | GPLv3+ |
| callforward | 13.0.4.2 | Enabled; Not available online | AGPLv3+ |
| callrecording | 13.0.11.15 | Enabled; Not available online | AGPLv3+ |
| callwaiting | 13.0.4.1 | Enabled; Not available online | GPLv3+ |
| campon | 13.0.4.1 | Enabled; Not available online | GPLv3+ |
| cdr | 13.0.33 | Enabled; Not available online | GPLv3+ |
| cel | 13.0.26.10 | Enabled; Not available online | GPLv3+ |
| certman | 13.0.41 | Enabled; Not available online | AGPLv3+ |
| cidlookup | 13.0.12.5 | Enabled; Not available online | GPLv3+ |
| conferences | 13.0.23.17 | Enabled; Not available online | GPLv3+ |
| core | 13.0.131 | Enabled; Not available online | GPLv3+ |
| customappsreg | 13.0.5.7 | Enabled; Not available online | GPLv3+ |
| cxpanel | 13.0.5.5 | Enabled; Not available online | GPLv3 |
| dashboard | 13.0.26.2 | Enabled; Not available online | AGPLv3+ |
| daynight | 13.0.15.1 | Enabled; Not available online | GPLv3+ |
| dictate | 13.0.5 | Enabled; Not available online | GPLv3+ |
| digium_phones | 13.0.7.4 | Enabled; Not available online | GPLv2 |
| digiumaddoninstaller | | Not Installed (Locally available) | GPLv2 |
| directory | 13.0.19.12 | Enabled; Not available online | GPLv3+ |
| disa | 13.0.6.12 | Enabled; Not available online | AGPLv3+ |
| donotdisturb | 13.0.3.1 | Enabled; Not available online | GPLv3+ |
| extensionroutes | 13.0.10.7 | Enabled; Not available online | Commercial |
| fax | 13.0.40.7 | Enabled; Not available online | GPLv3+ |
| featurecodeadmin | 13.0.6.4 | Enabled; Not available online | GPLv3+ |
| findmefollow | 13.0.38.13 | Enabled; Not available online | GPLv3+ |
| framework | 13.0.197.28 | Enabled and up to date | GPLv2+ |
| fw_ari | | Not Installed (Locally available) | GPLv3+ |
| fw_langpacks | 12.0.7 | Enabled; Not available online | GPLv3+ |
| iaxsettings | 13.0.6.6 | Enabled; Not available online | AGPLv3 |
| infoservices | 13.0.1.4 | Enabled; Not available online | GPLv2+ |
| irc | 13.0.1 | Enabled; Not available online | GPLv3+ |
| ivr | 13.0.27.21 | Enabled; Not available online | GPLv3+ |
| javassh | 2.11.2 | Enabled; Not available online | AGPLv3+ |
| languages | 13.0.6.5 | Enabled; Not available online | GPLv3+ |
| logfiles | 13.0.10.8 | Enabled; Not available online | GPLv3+ |
| manager | 13.0.2.7 | Enabled; Not available online | GPLv2+ |
| miscapps | 13.0.3.2 | Enabled; Not available online | GPLv3+ |
| miscdests | 13.0.9 | Enabled; Not available online | GPLv3+ |
| music | 13.0.22.8 | Enabled; Not available online | GPLv3+ |
| outroutemsg | 13.0.2.2 | Enabled; Not available online | GPLv3+ |
| paging | 13.0.26.19 | Enabled; Not available online | GPLv3+ |
| parking | 13.0.19.11 | Enabled; Not available online | GPLv3+ |
| pbdirectory | 2.11.0.6 | Enabled; Not available online | GPLv3+ |
| phonebook | 13.0.6.5 | Enabled; Not available online | GPLv3+ |
| phpinfo | 13.0.2 | Enabled; Not available online | GPLv2+ |
| pinsets | 13.0.13 | Enabled; Not available online | GPLv3+ |
| presencestate | 13.0.8.4 | Enabled; Not available online | GPLv3+ |
| printextensions | 13.0.3.2 | Enabled; Not available online | GPLv3+ |
| queueprio | 13.0.7 | Enabled; Not available online | GPLv3+ |
| queues | 13.0.34.17 | Enabled; Not available online | GPLv2+ |
| recordings | 13.0.30.14 | Enabled; Not available online | GPLv3+ |
| restart | 13.0.7 | Enabled; Not available online | GPLv3+ |
| ringgroups | 13.0.23.4 | Enabled; Not available online | GPLv3+ |
| setcid | 13.0.6.3 | Enabled; Not available online | GPLv3+ |
| sipsettings | 13.0.27.8 | Enabled; Not available online | AGPLv3+ |
| sipstation | 13.0.16.5 | Enabled; Not available online | Commercial |
| soundlang | 13.0.27 | Enabled; Not available online | GPLv3+ |
| speeddial | 2.11.0.4 | Enabled; Not available online | GPLv3+ |
| superfecta | 13.0.4.8 | Enabled; Not available online | GPLv2+ |
| sysadmin | 13.0.95.4 | Enabled and up to date | Commercial |
| timeconditions | 13.0.34.11 | Enabled; Not available online | GPLv3+ |
| userman | 13.0.76.44 | Enabled; Not available online | AGPLv3+ |
| versionupgrade | 13.0.1.6 | Enabled; Not available online | Commercial |
| vmblast | 13.0.11 | Enabled; Not available online | GPLv3+ |
| voicemail | 13.0.59.5 | Enabled; Not available online | GPLv3+ |
| weakpasswords | 13.0.2 | Enabled; Not available online | GPLv3+ |
±---------------------±------------±----------------------------------±-----------+

I added a suggestion to upgradeall, did you ?

Yes.

I am trying to get the User Control Panel installed.
So I tried

fwconsole ma download ucp

Maybe I got the name wrong
Got another error:

Starting ucp download…
The following error(s) occured:

  • Retrieved Module XML Was Empty

I think you will find that ucp needs a very specific nodejs, (v8 perhaps) and the ‘mirrors’ are changed, so it might be the entrance of rabbit hole you are looking at.

I would get out of v13 ASAP

I have UCP running on an identical setup as this here without issue. So I am wondering why I cannot reach the repos.

and the ‘mirrors’ are changed,

I just ran the “Check Online” from the other one and I see it still has access.

Bulk Handler 13.0.19 Stable Sangoma Technologies Corporation GPLv3+ Online upgrade available (13.0.22)

Maybe I can manually install UCP, or update the mirrors

Maybe you can :wink:

I am more comfortable leaving that to a Sangoma authority.

1 Like

If you run:
fwconsole ma refreshsignatures

It should show you which module has the bad comment, you can then delete that one and try again. You may need to run the refreshsignatures a few times if there is more than one module with an outdated signature.

1 Like

It seems @dicko knew exactly which one was causing that error, but now what is causing online modules to not show up?